Skip to content

Get chat messages​

GET
/chats/{session_id}/messages

Returns paginated messages for a chat session. Requires chats:read scope.

Authorizations​

BearerAuth

API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.

Type
HTTP (bearer)

Parameters​

Path Parameters

session_id*
Type
string
Required

Query Parameters

sender_type

Filter by sender

Type
string
Valid values
"client""ai""operator"
page

Page number

Type
integer
Minimum
1
Default
1
per_page

Items per page (max 100)

Type
integer
Minimum
1
Maximum
100
Default
30

Responses​

Messages list

application/json
JSON
{
"success": true,
"data": [
{
"id": 0,
"event_type": "string",
"sender_type": "string",
"message_text": "string",
"attachments": [
{
"uuid": "a1b2c3d4e5f67890a1b2c3d4e5f67890",
"url": "string",
"name": "photo.jpg",
"size": 0,
"mime_type": "image/jpeg",
"is_image": true
}
],
"operator_name": "string",
"created_at": "string"
}
],
"meta": {
"total": 128,
"total_pages": 5,
"current_page": 1,
"per_page": 30
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Looma.chat — AI-powered e-commerce search & chat